Bug 442471 - mkinitrd get_dso_deps() fails to detect missing shared library files
mkinitrd get_dso_deps() fails to detect missing shared library files
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-04-14 18:42 EDT by Joe Krahn
Modified: 2008-06-16 23:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-16 23:06:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Krahn 2008-04-14 18:42:58 EDT
Description of problem:
mkinitrd supports executables with shared-library dependencies, and has a
feature to detect when a shared library is not found. However, that feature is
broken due to the way ld-linux.so works. When run with "LD_TRACE_PRELINKING=1",
ld-linux.so stops with an error message instead of printing "not found" for
unresolved libraries. If a shared lib is missing, mkinitrd is designed to look
for "not found" and abort. With the current setup, it will actually proceed to
make a broken initrd.

Maybe it should be higher priority, but I am assuming that missing shared libs
are quite rare.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Temporarily remove a shared library needed by nash, i.e.:
   mv /lib/libdevmapper.so.1.02
2. Run initrd as usual
Actual results:
Error messages from ld-linux.so, but the creation of a broken initrd continues.

Expected results:
The following error message, and aborting the initrd creation:
There are missing files on your system. The dynamic object /sbin/nash requires
libdevmapper.so.1.02 in order to properly function. mkinitrd cannot continue.

Additional info:
Comment 1 Joe Krahn 2008-04-15 12:18:17 EDT
I came across this problem trying to add some things to the initrd while testing
some badly designed disk encryption software. It uses a modified mkinitrd
script, which became broken with an OS update.

It would be nice to be able to define some additional tweaks besides just adding
modules. For example, a list of files which can be executable, and few places to
insert commands into the init script. Modifying mkinitrd is always risky, but it
should be pretty safe if the extra hooks are disabled for automatic initrd
creation. Low priority, of course.
Comment 2 Bug Zapper 2008-05-14 11:26:13 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 23:06:09 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.